package com.cm.smartgate.pojo.vos;

import com.cm.common.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: HardwareSmartgateConfigVO
 * @Description: 闸机配置信息表
 * @Author: WenG
 * @Date: 2020-09-08 16:40
 * @Version: 1.0
 **/
@ApiModel
public class HardwareSmartgateConfig1VO {

    @ApiModelProperty(name = "smartgateId", value = "闸机ID")
    private String smartgateId;
    @ApiModelProperty(name = "basicModeConfiguration", value = "基本模式")
    @CheckEmptyAnnotation(name = "基本模式")
    private String basicModeConfiguration;
    @ApiModelProperty(name = "modeOfPassage", value = "通行方式")
    @CheckEmptyAnnotation(name = "通行方式")
    private String modeOfPassage;

    public String getSmartgateId() {
        return smartgateId == null ? "" : smartgateId.trim();
    }

    public void setSmartgateId(String smartgateId) {
        this.smartgateId = smartgateId;
    }


    public String getBasicModeConfiguration() {
        return basicModeConfiguration == null ? "" : basicModeConfiguration;
    }

    public void setBasicModeConfiguration(String basicModeConfiguration) {
        this.basicModeConfiguration = basicModeConfiguration;
    }

    public String getModeOfPassage() {
        return modeOfPassage == null ? "" : modeOfPassage;
    }

    public void setModeOfPassage(String modeOfPassage) {
        this.modeOfPassage = modeOfPassage;
    }
    
}
